Kyoto Cabinet: kyotocabinet::TinyHashMap::Iterator Class Reference

Kyoto Cabinet

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Friends
kyotocabinet::TinyHashMap::Iterator Class Reference

Iterator of records. More...

`#include <kcmap.h>`

List of all members.

## Public Member Functions
| Iterator (TinyHashMap *map)
| Constructor.
| ~Iterator ()
| Destructor.
const char * | get_key (size_t *sp)
| Get the key of the current record.
const char * | get_value (size_t *sp)
| Get the value of the current record.
const char * | get (size_t *ksp, const char **vbp, size_t *vsp)
| Get a pair of the key and the value of the current record.
void | step ()
| Step the cursor to the next record.
## Friends
class | TinyHashMap

## Detailed Description

Iterator of records.

## Constructor & Destructor Documentation

kyotocabinet::TinyHashMap::Iterator::Iterator | ( | TinyHashMap * | map | ) | `[explicit]`

Constructor.

Parameters:

  map | the container.

Note:
  This object will not be invalidated even when the map object is updated once. However, phantom records may be retrieved if they are removed after creation of each iterator.

kyotocabinet::TinyHashMap::Iterator::~Iterator | ( |  | ) |

Destructor.

## Member Function Documentation

const char* kyotocabinet::TinyHashMap::Iterator::get_key | ( | size_t * | sp | ) |

Get the key of the current record.

Parameters:

  sp | the pointer to the variable into which the size of the region of the return value is assigned.

Returns:
  the pointer to the key region of the current record, or NULL on failure.

const char* kyotocabinet::TinyHashMap::Iterator::get_value | ( | size_t * | sp | ) |

Get the value of the current record.

Parameters:

  sp | the pointer to the variable into which the size of the region of the return value is assigned.

Returns:
  the pointer to the value region of the current record, or NULL on failure.

const char* kyotocabinet::TinyHashMap::Iterator::get | ( | size_t * | ksp,
|  | const char ** | vbp,
|  | size_t * | vsp
| ) |  |

Get a pair of the key and the value of the current record.

Parameters:

  ksp | the pointer to the variable into which the size of the region of the return value is assigned.
  vbp | the pointer to the variable into which the pointer to the value region is assigned.
  vsp | the pointer to the variable into which the size of the value region is assigned.

Returns:
  the pointer to the key region, or NULL on failure.

void kyotocabinet::TinyHashMap::Iterator::step | ( |  | ) |

Step the cursor to the next record.